# Please update release notes:
# make -C SOURCES release-notes.{html,txt}
#

%define am_i_cooker 0
%if %am_i_cooker
%define distrib Cooker
%else
%define distrib Official
%endif
%define version 2008.1
%define subrel 1
%define rel 0.11
%define distname cambria
%define distsuffix mdv
%define distribution Mandriva Linux

%define product_vendor Mandriva
%define product_distribution %distribution
%define product_type Basic
%define product_version %version
%if %am_i_cooker
%define product_branch Devel
%else
%define product_branch Official
%endif
%define product_release 1
%define product_arch %{_target_cpu}

%define product_id_base vendor=%product_vendor,distribution=%product_distribution,type=%product_type,version=%product_version,branch=%product_branch,release=%product_release,arch=%product_arch

%if %am_i_cooker
    %define unstable %%_with_unstable --with-unstable
%endif

# The mandriva release, what is written on box
%define mandriva_release %version

# The mandriva branch: Cooker, Community or Official
%define mandriva_branch %distrib

# The mandriva arch, notice: using %_target_cpu is bad
# elsewhere because this depend of the config of the packager
# _target_cpu => package build for
# mandriva_arch => the distribution we are using
%define mandriva_arch %_target_cpu

# To be coherent with %mandriva_arch I provide os too
# be I wonder it will be linux for a long time
%define mandriva_os %_target_os

%define realversion %version
%define mdkver %(echo %version | sed 's/\\.//')0

Summary:	Mandriva release file
Name:		mandriva-release
Version:	%version
Release:	%mkrel %rel
License:	GPL
URL:		http://www.mandrivalinux.com/
Group:		System/Configuration/Other
Source:		%name.tar.bz2
Source3:	CREDITS
# edited lynx -dump of wiki:
Source4:	release-notes.txt
Source5:	release-notes.html
BuildRoot:	%{_tmppath}/%{name}-root

%description
Mandriva Linux release file.

%package common
Summary: Mandriva release common files
Group: System/Configuration/Other
Conflicts: %name < %version-%release
Obsoletes: mandriva-release-Discovery mandriva-release-Powerpack+
Obsoletes: %name < %version-%release
Obsoletes: rawhide-release redhat-release mandrake-release mandrakelinux-release

# cf mdvbz#32631
Provides: arch(%_target_cpu)

%description common
Common files for Mandriva Linux release packages.

%define release_package(s) \
%{-s:%package %1} \
Summary: Mandriva release file%{?1: for %1} \
Group: System/Configuration/Other \
Requires:	mandriva-release-common \
Requires(post):	coreutils \
Provides:	redhat-release rawhide-release mandrake-release mandrakelinux-release \
Provides:	%name = %version-%release \

%define release_descr(s) \
%description %{-s:%1} \
Mandriva Linux release file for %1 flavor. \


%define release_post(s) \
%post %{-s:%1} \
ln -fs product.id.%1 /etc/product.id


%define release_install(s) \
cat > %buildroot/etc/product.id.%{1} << EOF \
%{product_id_base},product=%1\
EOF\
 \
mkdir -p %buildroot%_sys_macros_dir \
cat > %buildroot%_sys_macros_dir/%{1}.macros <<EOF \
%%distribution      %distribution\
%%mandriva_release  %mandriva_release\
%%mandriva_branch   %mandriva_branch\
%%mandriva_arch     %mandriva_arch\
%%mandriva_os       %mandriva_os\
%%mandriva_class    %%(. %_sysconfdir/sysconfig/system; echo \\\$META_CLASS)\
%%mdkver            %mdkver\
%%mdvver            %mdkver\
%%distsuffix        %distsuffix\
\
# productid variable\
%%product_id %{product_id_base},product=%{1}\
\
%%product_vendor        %product_vendor\
%%product_distribution  %product_distribution\
%%product_type          %product_type\
%%product_version       %product_version\
%%product_branch        %product_branch\
%%product_release       %product_release\
%%product_arch          %product_arch\
%%product_product       %1\
\
%{?unstable}\
EOF\
 \
mkdir -p %buildroot%_sysconfdir/sysconfig \
cat > %buildroot%_sysconfdir/sysconfig/system <<EOF \
SECURITY=3\
CLASS=beginner\
LIBSAFE=no\
META_CLASS=download\
EOF\


%release_package -s One
Conflicts: mandriva-release-Flash mandriva-release-Free mandriva-release-Powerpack 
%release_package -s Flash
Conflicts: mandriva-release-Free mandriva-release-One mandriva-release-Powerpack 
%release_package -s Free
Conflicts: mandriva-release-Flash mandriva-release-One mandriva-release-Powerpack 
%release_package -s Powerpack
Conflicts: mandriva-release-Flash mandriva-release-Free mandriva-release-One 

%release_descr -s Flash
%release_descr -s One
%release_descr -s Free
%release_descr -s Powerpack

%triggerpostun -n mandriva-release-common -- mandriva-release < 2007.1
perl -pi -e "s/(META_CLASS=)server$/\\1powerpack/" %_sysconfdir/sysconfig/system

%triggerpostun -n mandriva-release-common -- mandriva-release-common < 2008.0-0.17
perl -pi -e "s/(META_CLASS=)server$/\\1powerpack/" %_sysconfdir/sysconfig/system

%prep
%setup -q -n %{name}
cp -a %SOURCE3 CREDITS
cp -a %SOURCE4 release-notes.txt
cp -a %SOURCE5 release-notes.html
cat > README.urpmi <<EOF
This is Mandriva Linux %version

You can find the release notes in %_docdir/%name-common/release-notes.txt

or on the web at http://wiki.mandriva.com/en/Releases/Mandriva/%version/Notes
EOF

# check that CREDITS file is in UTF-8, fail otherwise
if iconv -f utf-8 -t utf-8 < CREDITS > /dev/null
then
	true
else
	echo "the CREDITS file *MUST* be encoded in UTF-8"
	echo "please fix it before continuing"
	false
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/etc
echo "Mandriva Linux release %{realversion} (%{distrib}) for %{_target_cpu}" > $RPM_BUILD_ROOT/etc/mandriva-release
ln -sf mandriva-release $RPM_BUILD_ROOT/etc/redhat-release
ln -sf mandriva-release $RPM_BUILD_ROOT/etc/mandrake-release
ln -sf mandriva-release $RPM_BUILD_ROOT/etc/release
ln -sf mandriva-release $RPM_BUILD_ROOT/etc/mandrakelinux-release
echo "%{version}.0 %{rel} %{distname}" > $RPM_BUILD_ROOT/etc/version

mkdir -p %buildroot%_sysconfdir/profile.d
cat > %buildroot%_sysconfdir/profile.d/10mandriva-release.csh<<'EOF'
if ( -r /etc/sysconfig/system ) then
	eval `sed 's|^#.*||' /etc/sysconfig/system | sed 's|\([^=]*\)=\([^=]*\)|set \1=\2|g' | sed 's|$|;|' `
	setenv META_CLASS $META_CLASS
else
	setenv META_CLASS unknown
endif
EOF

cat > %buildroot%_sysconfdir/profile.d/10mandriva-release.sh<<'EOF'
if [ -r /etc/sysconfig/system ]; then
	. /etc/sysconfig/system
	export META_CLASS
else
	export META_CLASS=unknown
fi
EOF

%release_install Free
%release_install Flash Flash
%release_install One One
%release_install Powerpack Powerpack

touch %buildroot%_sysconfdir/product.id


%check
%if %am_i_cooker
case %release in
    0.*) ;;
    *)
    echo "Cooker distro should have this package with release < %{mkrel 1}"
    exit 1
    ;;
esac
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%release_post -s Flash
%release_post -s Free
%release_post -s One 
%release_post -s Powerpack

%define release_files(s:) \
%files %{-s:%{-s*}} \
%defattr(-,root,root) \
%_sys_macros_dir/%{1}.macros \
/etc/product.id.%1 \
%ghost /etc/product.id\
\

%release_files -s Flash Flash
%release_files -s Free Free
%release_files -s One One
%release_files -s Powerpack Powerpack


%files common
%defattr(-,root,root)
%doc CREDITS distro.txt README.urpmi release-notes.*
/etc/mandrake-release
/etc/mandrakelinux-release
/etc/redhat-release
/etc/mandriva-release
/etc/release
/etc/version
/etc/profile.d/10mandriva-release.sh
/etc/profile.d/10mandriva-release.csh
%config(noreplace) %verify(not md5 size mtime) %_sysconfdir/sysconfig/system





%changelog
* Wed Oct 01 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-0.11.1mdv2008.1
+ Revision: 290412
- fix 44472 (Mandriva relase contains a bad product branch), update releases notes

* Thu Apr 03 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-0.11mdv2008.1
+ Revision: 192225
- final release

* Wed Apr 02 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-0.10mdv2008.1
+ Revision: 191718
- spring will arrive soon :)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - update release notes

* Fri Mar 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.1-0.9mdv2008.1
+ Revision: 190910
- update release notes

* Thu Mar 13 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-0.8mdv2008.1
+ Revision: 187507
- update release notes, update distname

* Mon Mar 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.1-0.7mdv2008.1
+ Revision: 178121
- update release notes
- fix stripping text version of release notes

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.1-0.6mdv2008.1
+ Revision: 166318
- update release notes

* Thu Jan 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.1-0.5mdv2008.1
+ Revision: 157584
- update release notes

* Tue Jan 15 2008 Pixel <pixel@mandriva.com> 2008.1-0.4mdv2008.1
+ Revision: 152814
- add provide arch(_target_cpu) (cf #32631)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - no executable bit on profile scriptlets
      use herein documents instead of additional sources

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2008.1-0.2mdv2008.1
+ Revision: 136359
- require coreutils for post scripts (so that /etc/product.id gets created in chroots)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - use %%am_i_cooker again
    - prevent errors on branching official/cooker

* Mon Oct 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.1-0.1mdv2008.1
+ Revision: 95705
- cooker strikes back
- add one italian translators (from Andrea Celli)

* Fri Oct 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-5mdv2008.0
+ Revision: 95573
- update release notes
- add Tor Lundberg (screensavers images)

* Thu Oct 04 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-4mdv2008.0
+ Revision: 95476
- really package HTML release notes

* Thu Oct 04 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-3mdv2008.0
+ Revision: 95466
- update release notes

* Thu Oct 04 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-2mdv2008.0
+ Revision: 95437
- update release notes

* Thu Oct 04 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-1mdv2008.0
+ Revision: 95307
- Say hello to Mr Brahe..

* Wed Oct 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-0.17mdv2008.0
+ Revision: 95015
- migrate Powerpack+ configuration on update

* Wed Oct 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-0.16mdv2008.0
+ Revision: 95007
- updated release notes
- move obsoletes of powerpack+ & discovery into common subpackage

  + Anssi Hannula <anssi@mandriva.org>
    - add myself as Finnish translator in CREDITS
    - fix case of suomi in CREDITS

* Thu Sep 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-0.15mdv2008.0
+ Revision: 93321
- kill Discovery & Powerpack+ flavors

* Wed Sep 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-0.14mdv2008.0
+ Revision: 93186
- package a cleaned HTML copy of release-notes for installer & One
- add another italian translator

* Tue Sep 25 2007 Pixel <pixel@mandriva.com> 2008.0-0.13mdv2008.0
+ Revision: 92832
- re-submit with youri unpack rule for release-notes.txt (to fix #33933)

* Tue Sep 25 2007 Pixel <pixel@mandriva.com> 2008.0-0.12mdv2008.0
+ Revision: 92759
- re-submit with youri unpack rule for release-notes.txt (to fix #33933)

* Mon Sep 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-0.11mdv2008.0
+ Revision: 92590
- update release notes

* Wed Sep 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-0.10mdv2008.0
+ Revision: 90947
- list You-Cheng Hsieh as Traditional Chinese translator
- add 2 more dutch translators
- auto-generate README.urpmi
- s/2007/2008/ in urpmi update info
- update release notes

* Wed Sep 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-0.9mdv2008.0
+ Revision: 90841
- revert
- yukiko doesn't contribute but do test IM and translate; kill "(part time)"
- add a check rule
- fix encoding
- add z?\195?\169
- add Austin Acton's last name
- fix Per Oyvind Karlsen name
- add 4 Norwegian Bokm?\195?\165l translators (Per ?\195?\152yvind Karlsen)
- fix Norwegian naming (Per ?\195?\152yvind Karlsen)
- add Dotan Kamber (hebrew translator since 2007.1
- add 3 more dutch translators (requested by Reinout van Schouwen on cooker-i18n)
- add UTUMI Hirosi who helped us a lot for IM

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add french translator

* Thu Sep 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-0.7mdv2008.0
+ Revision: 84962
- update release notes for 2008.0 from wiki
- automate release-notes dumping from wiki
- kill mandriva release field in translator & contributor list (duplicated data &
  wasn't homogeneous)
- s/2007/2008/
- add a full name along an email

* Wed Aug 22 2007 Pixel <pixel@mandriva.com> 2008.0-0.6mdv2008.0
+ Revision: 69135
- moving Obsoletes to mandriva-release-common (#30093)
- only the mandriva-release-Free obsoletes mandriva-release (#30093)
  (it is a bit too precise for upgrading from 2006.0, but it's still better than
  current urpmi behaviour)

* Tue Jul 31 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-0.4mdv2008.0
+ Revision: 56802
- bump release
- enhanced descriptions
- fix mandriva-release-common description (#31796)

* Wed Jul 04 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-0.3mdv2008.0
+ Revision: 48120
- bump release
- fix doc path with new mdv-mandriva-setup
- fix czech spelling (Michal Bukovjan)

* Mon Jun 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-0.2mdv2008.0
+ Revision: 44022
- bump release
- prevent breaking scp/rsh in corner cases (#30017)
- use relative link for /etc/product.id (ie for chroots)

* Tue Apr 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2008.0-0.1mdv2008.0
+ Revision: 13552
- cooker is back


* Tue Apr 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-3mdv2007.1
+ Revision: 150417
- bump release
- resync with wiki's releases notes (mainly moves & renames but addition
  of "General information about new features and major changes")

* Tue Apr 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-2mdv2007.1
+ Revision: 150392
- bump release
- move README.urpmi out of tarball and update it (#30061)
- further versionning changes (ala #30061)
- move releases-notes out of tarball and update them (#30061)

* Tue Apr 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-1mdv2007.1
+ Revision: 150333
- final release
- enforce META_CLASS not being expanded like in 2007.0
- remove extra spaces at end of lines
- add missing contributors (#30073)

* Sun Apr 01 2007 Pixel <pixel@mandriva.com> 2007.1-0.6mdv2007.1
+ Revision: 150139
- remove the require mandriva-release-common -> mandriva-release
  this helps rpm/urpmi install mandriva-release-common before
  mandriva-release-*, and so /etc/sysconfig/system pb disappear (#30013)
- remove explicit conflict on the obsoleted version, that's unneeded

* Sat Mar 31 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-0.5mdv2007.1
+ Revision: 150065
- bump release
- bump release
- add explicit conflicts on mandriva-release in order to help urpmi (which will
  ask a question in interactive mode)
- remove unversionnated provides on mandriva-release
- add Flash support

  + Anssi Hannula <anssi@mandriva.org>
    - fix typo in CREDITS

* Thu Mar 29 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-0.3mdv2007.1
+ Revision: 149640
- bump release
- all mandriva-release-* packages are generated from the same spec file
- fix upgrading (#29842, #27864)
- move common files in -common sub package
- make it consistant
- sort
- help emacs
- fix giuseppe name (#29973)
- add Buchan Milne & Angelo Naselli (#29394)
- move CREDITS out of tarball and fix bad Translatros lines (#17490)

* Mon Dec 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-0.2mdv2007.1
+ Revision: 90486
- kill icon
- strip emails off of CREDITS

  + Warly <warly@mandriva.com>
    - post 2007.0
    - update release-notes
    - add provides mandriva-release, to help generation of product specific mandriva-release
    - convert CREDITS into utf8
    - final mandriva-release
    - update distro and credits, add release notes
    - rc2
    - rc 1

* Tue Aug 29 2006 Warly <warly@mandriva.com> 2007.0-0.12mdv2007.0
+ Revision: 58326
- update distro.txt for new beta
- new release for beta 3

  + Olivier Blin <oblin@mandriva.com>
    - clean buildroot

* Sun Aug 27 2006 Olivier Blin <oblin@mandriva.com> 2007.0-0.11mdv2007.0
+ Revision: 58168
- fix typo in sh profile script

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2007.0-0.10mdv2007.0
+ Revision: 56652
- Add profile.d script to export META_CLASS (needed for csh shells)

* Mon Aug 14 2006 Warly <warly@mandriva.com> 2007.0-0.9mdv2007.0
+ Revision: 55804
- updated for beta 2

* Fri Jul 28 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.7mdv2007.0
+ Revision: 42339
- set distribution into macro file (not vendor)
- provide product* variable as macros, included product_id
- factorize some change
- 0.7
- Import mandriva-release

* Fri Jul 28 2006 Warly <warly@mandriva.com> 2007.0-0.6mdv2007.0
- reintroduct product.id

* Thu Jul 27 2006 Warly <warly@mandriva.com> 2007.0-0.5mdv2007.0
- beta 1

* Sun Jun 18 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.4mdv2007.0
- provide a default /etc/sysconfig/system

* Fri May 26 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.3mdv2007.0
- after checking properly, no reason to not use %%mkrel now

* Fri May 26 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.2mdv2007
- use new release tag schema

* Thu May 25 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.1mdk
- 2007 is on the road

* Mon Jan 30 2006 Warly <warly@mandriva.com> 2006.1-0.4mdk
- add mdvver macro

* Sat Oct 01 2005 Warly <warly@mandriva.com> 2006.1-0.3mdk
- Cooker snaphost

* Sat Oct 01 2005 Warly <warly@mandriva.com> 2006.1-0.2mdk
- complete distro.txt
- correct distrib name

* Sat Oct 01 2005 Warly <warly@mandriva.com> 2006.1-0.1mdk
- 2006.1 beta

* Sat Oct 01 2005 Warly <warly@mandriva.com> 2006.0-2mdk
- update CREDITS

* Wed Sep 21 2005 Warly <warly@mandriva.com> 2006.0-1mdk
- 2006.0 Official

* Tue Sep 13 2005 Warly <warly@mandriva.com> 2006.0-0.5mdk
- rc2

* Fri Jul 01 2005 Eskild Hustvedt <eskild@mandriva.org> 2006.0-0.4mdk
- Fixed URL

* Wed Jun 29 2005 Olivier Thauvin <nanardon@mandriva.org> 2006.0-0.3mdk
- create /etc/rpm/macros.d/%%name.macros
- set _with_unstable by default for cooker

* Tue Apr 19 2005 Warly <warly@mandrakesoft.com> 2006.0-0.2mdk
- Mandriva Linux is better than Mandriva

* Tue Apr 19 2005 Warly <warly@mandrakesoft.com> 2006.0-0.1mdk
- add a .0 to the version

* Sat Apr 16 2005 Warly <warly@mandriva.com> 2006-1mdk
- Mandriva 2006 Cooker

* Thu Mar 17 2005 Warly <warly@mandrakesoft.com> 10.2-0.6mdk
- Limited Edition 2005 RC2

* Wed Mar 09 2005 Warly <warly@mandrakesoft.com> 10.2-0.5mdk
- 10.2 rc1

* Tue Feb 22 2005 Warly <warly@mandrakesoft.com> 10.2-0.4mdk
- 10.2 beta3

* Fri Feb 04 2005 Warly <warly@mandrakesoft.com> 10.2-0.3mdk
- 10.2 beta 2

* Tue Feb 01 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 10.2-0.2mdk
- added test to make build fail if CREDITS file is not in utf-8

* Tue Nov 09 2004 Warly <warly@mandrakesoft.com> 10.2-0.1mdk
- oops

* Mon Nov 08 2004 Warly <warly@mandrakesoft.com> 10.2-1mdk
- Cooker 10.2

* Wed Oct 06 2004 Warly <warly@mandrakesoft.com> 10.1-2mdk
- Mandrakelinux 10.1 Official

* Wed Oct 06 2004 Warly <warly@mandrakesoft.com> 10.1-1.1mdk
- Test update for 10.1

* Tue Sep 14 2004 Warly <warly@mandrakesoft.com> 10.1-1mdk
- Mandrakelinux 10.1 Community

* Sat Sep 04 2004 Warly <warly@mandrakesoft.com> 10.1-0.7mdk
- Mandrakelinux 10.1 RC 1

* Fri Aug 20 2004 Warly <warly@mandrakesoft.com> 10.1-0.6mdk
- Mandrakelinux 10.1 beta 2

* Fri Jul 30 2004 Warly <warly@mandrakesoft.com> 10.1-0.5mdk
- Mandrakelinux 10.1 beta 1

* Fri Jul 16 2004 Warly <warly@mandrakesoft.com> 10.1-0.4mdk
- Mandrakelinux 10.1 alpha 1

* Sat Jul 03 2004 Warly <warly@mandrakesoft.com> 10.1-0.3mdk
- add a /etc/release file

* Wed May 12 2004 Warly <warly@mandrakesoft.com> 10.1-0.2mdk
- new package name

